Package org.springframework.security.authentication

# Class InsufficientAuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.InsufficientAuthenticationException

All Implemented Interfaces:
  `Serializable`

public class InsufficientAuthenticationException extends AuthenticationException
Thrown if an authentication request is rejected because the credentials are not sufficiently trusted.

`AccessDecisionVoter`s will typically throw this exception if they are dissatisfied with the level of the authentication, such as if performed using a remember-me mechanism or anonymously. The `ExceptionTranslationFilter` will then typically cause the `AuthenticationEntryPoint` to be called, allowing the principal to authenticate with a stronger level of authentication.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InsufficientAuthenticationException(String msg)`
Constructs an `InsufficientAuthenticationException` with the specified message.
`InsufficientAuthenticationException(String msg, Throwable cause)`
Constructs an `InsufficientAuthenticationException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InsufficientAuthenticationException

public InsufficientAuthenticationException(String msg)
Constructs an `InsufficientAuthenticationException` with the specified message.

Parameters:
  `msg` - the detail message

### InsufficientAuthenticationException

public InsufficientAuthenticationException(String msg, Throwable cause)
Constructs an `InsufficientAuthenticationException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause